Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
folderlist.php File Reference

Go to the source code of this file.

## Variables
if(isset( $Move) &&count( $FolderArrayID) > 0 && $FolderSelectID !=-1) if(isset( $Delete) &&count( $FolderArrayID) > 0) if(isset( $NewFolder)) if(isset( $EmptyTrash)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZMailMain", "Language" )
| $t
| $i =0
foreach(array(1, 2, 3, 4) as $specialfolder) | $userFolders = eZMailFolder::getTree( 0, -1)
foreach( $userFolders as $folderItem) | $folders = eZMailFolder::getByUser()

## Variable Documentation

## ◆ $folders

foreach ($userFolders as $folderItem) $folders = eZMailFolder::getByUser()

insert folders into the move dialog

Definition at line 127 of file folderlist.php.

## ◆ $i

$i =0

insert the special folders

Definition at line 94 of file folderlist.php.

## ◆ $ini

if (isset($Move) &&count($FolderArrayID) > 0 &&$FolderSelectID !=-1) if (isset($Delete) &&count($FolderArrayID) > 0) if (isset($NewFolder)) if (isset($EmptyTrash)) $ini =& eZINI::instance( 'site.ini' )

If user wants to move folders If user wants to delete folders If user wants to create a folder User pressed EmptyTrash

Definition at line 74 of file folderlist.php.

## ◆ $Language

$Language = $ini->variable( "eZMailMain", "Language" )

Definition at line 75 of file folderlist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezmail/user/" . $ini->variable( "eZMailMain", "TemplateDir" ),
"kernel/ezmail/user/intl/", $Language, "folderlist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: folderlist.php:75
$ini
if(isset( $Move) &&count( $FolderArrayID) > 0 && $FolderSelectID !=-1) if(isset( $Delete) &&count( $FolderArrayID) > 0) if(isset( $NewFolder)) if(isset( $EmptyTrash)) $ini
Definition: folderlist.php:74

Definition at line 77 of file folderlist.php.

## ◆ $userFolders

foreach (array(1, 2, 3, 4) as $specialfolder) $userFolders = eZMailFolder::getTree( 0, -1)

insert the user folders

Definition at line 110 of file folderlist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.